/*
 *  spica_read_1A.h
 *  
 *  SVN Revision:
 *      $Rev: 937 $
 *      $Author: chapron $
 *      $Date: 2012-12-13 14:12:10 +0100 (jeu., 13 déc. 2012) $
 */

#ifndef SPICA_READ_1A_H
#define SPICA_READ_1A_H

#include <string.h>
#include <stdio.h>
#include <fcntl.h>
#include <stdlib.h>
#include <getopt.h>
#include <math.h>
#include <signal.h>

#include "exit_if.h"
#include "fitsio.h"
#include "spica_struct_1A.h"

float get_min(int*, float **, int, int, int);
float get_max(int*, float **, int, int, int);
void print_data(int*, float **, float **, int **, int, int, int, int);
void print_temperaturesdata(int*, Parameters, int, int);
void print_geodata(int*, Geo, int, int);
int* get_ArrSampleValues(char *, int, int, int);

#endif SPICA_READ_1A_H		/* SPICA_READ_1A_H */
